Device Compatibility/Min Specs Question

DragonuDownDragonuDown 1 PostsRegistered Users, Member
On the Disney Sorcerer's Arena page on the Google Play Store instead of the ability to pre-register I get an error message that my device isn't compatible with this version. I have a Samsung Galaxy J7. What features is my phone missing from the minimum specs to be able to install and play the game? I'm curious what to look for should I decide to upgrade.

Comments

  • MeatheadMilitiaMeatheadMilitia 380 PostsRegistered Users, Administrator, Moderators, Member, Moderator
    Hey Dragonu, 

    I'll take a look and see if we can release a temp list. 

    Since we are changing and growing our game constantly, we may wait until we're more finished to release specifics
    Bacon and Coffee, that's what I'm fueled by. 
Sign In or Register to comment.